It is currently Sun Dec 16, 2018 6:25 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 5 posts ] 
Author Message
 Post subject: Ubuntu 18.10 drops support for GTK2
PostPosted: Sat Nov 03, 2018 8:19 pm 
Offline
Enthusiast
Enthusiast
User avatar

Joined: Sun Mar 10, 2013 3:01 pm
Posts: 575
Location: Portugal
Hello!

The "sublibrary GTK2" no longer works on 18.10 (the executables don't run).

And 5.70 beta 2 has issues with buttons and string gadgets that don't happen with 18.04 (they become big).


Top
 Profile  
Reply with quote  
 Post subject: Re: Ubuntu 18.10 drops support for GTK2
PostPosted: Tue Nov 27, 2018 8:13 pm 
Offline
User
User
User avatar

Joined: Wed Jan 09, 2008 10:43 pm
Posts: 17
Location: Germany
Where do you have this information from? :shock:

Really not supported anymore or just not installed by default? (I'm still on 18.04)

I mean there are still some applications out there which were never updated to GTK+3 (which is damn painful in some cases and as long as it works... :x )


Top
 Profile  
Reply with quote  
 Post subject: Re: Ubuntu 18.10 drops support for GTK2
PostPosted: Thu Nov 29, 2018 5:37 pm 
Offline
User
User

Joined: Sat Jun 23, 2018 5:21 pm
Posts: 80
Gtk 2 (and PureBasic) works fine under Ubuntu 18.10.
You have to install many libraries, because it is not standard.


Top
 Profile  
Reply with quote  
 Post subject: Re: Ubuntu 18.10 drops support for GTK2
PostPosted: Sat Dec 01, 2018 10:54 am 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 1478
Location: Germany
I have install a new machine without developer packets.
How to fixed this problem for many programs on Ubuntu 18.04 and 18.10
Quote:
sudo apt-get install libgtk2.0

_________________
My Projects OOP-BaseClass / OOP-BaseClassDispatch / Event-Designer /
PB v3.30 / v5.60 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: Ubuntu 18.10 drops support for GTK2
PostPosted: Mon Dec 03, 2018 1:41 am 
Offline
Enthusiast
Enthusiast

Joined: Mon Oct 24, 2005 1:05 pm
Posts: 693
mk-soft wrote:
I have install a new machine without developer packets.
How to fixed this problem for many programs on Ubuntu 18.04 and 18.10
Quote:
sudo apt-get install libgtk2.0


Thanks for posting this. It is important for all PB users using Linux.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 5 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye